=== modified file '__init__.py'
--- __init__.py	2007-02-03 11:52:13 +0000
+++ __init__.py	2007-02-03 13:01:12 +0000
@@ -176,7 +176,7 @@
             tree1 = wt
             tree2 = tree1.basis_tree()
 
-        from viz.diffwin import DiffWindow
+        from viz.diff import DiffWindow
         import gtk
         window = DiffWindow()
         window.connect("destroy", lambda w: gtk.main_quit())

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2007-02-03 12:41:33 +0000
+++ annotate/gannotate.py	2007-02-03 13:01:12 +0000
@@ -243,7 +243,7 @@
                 tree2 = repository.revision_tree(revision.parent_ids[0])
             else:
                 tree2 = repository.revision_tree(NULL_REVISION)
-        from bzrlib.plugins.gtk.viz.diffwin import DiffWindow
+        from bzrlib.plugins.gtk.viz.diff import DiffWindow
         window = DiffWindow()
         window.set_diff("Diff for row %d" % (row+1), tree1, tree2)
         window.set_file(tree1.id2path(self.file_id))

=== renamed file 'viz/diffwin.py' => 'diff.py'
=== modified file 'nautilus-bzr.py'
--- nautilus-bzr.py	2007-02-03 10:25:09 +0000
+++ nautilus-bzr.py	2007-02-03 13:01:12 +0000
@@ -70,7 +70,7 @@
         except NotBranchError:
             return
 
-        from bzrlib.plugins.gtk.viz.diffwin import DiffWindow
+        from bzrlib.plugins.gtk.viz.diff import DiffWindow
         window = DiffWindow()
         window.set_diff(tree.branch.nick, tree, tree.branch.basis_tree())
         window.show()

=== modified file 'olive/__init__.py'
--- olive/__init__.py	2007-02-03 12:35:55 +0000
+++ olive/__init__.py	2007-02-03 13:01:12 +0000
@@ -39,23 +39,12 @@
 from errors import show_bzr_error
 from guifiles import GLADEFILENAME
 
-# import this classes only once
-try:
-    from bzrlib.plugins.gtk.viz.diffwin import DiffWindow
-    from bzrlib.plugins.gtk.viz.branchwin import BranchWindow
-    from bzrlib.plugins.gtk.annotate.gannotate import GAnnotateWindow
-    from bzrlib.plugins.gtk.annotate.config import GAnnotateConfig
-    from bzrlib.plugins.gtk.commit import CommitDialog
-    from bzrlib.plugins.gtk.push import PushDialog
-except ImportError:
-    # olive+bzr-gtk not installed. try to import from sources
-    path = os.path.dirname(os.path.dirname(__file__))
-    if path not in sys.path:
-        sys.path.append(path)
-    from viz.diffwin import DiffWindow
-    from viz.branchwin import BranchWindow
-    from annotate.gannotate import GAnnotateWindow
-    from annotate.config import GAnnotateConfig
+from bzrlib.plugins.gtk.viz.diff import DiffWindow
+from bzrlib.plugins.gtk.viz.branchwin import BranchWindow
+from bzrlib.plugins.gtk.annotate.gannotate import GAnnotateWindow
+from bzrlib.plugins.gtk.annotate.config import GAnnotateConfig
+from bzrlib.plugins.gtk.commit import CommitDialog
+from bzrlib.plugins.gtk.push import PushDialog
 
 # History delimiter used in config files
 delimiter = ' '

=== modified file 'viz/bzrkapp.py'
--- viz/bzrkapp.py	2006-09-06 09:27:12 +0000
+++ viz/bzrkapp.py	2007-02-03 13:01:12 +0000
@@ -15,7 +15,7 @@
 import gtk
 
 from branchwin import BranchWindow
-from diffwin import DiffWindow
+from bzrlib.plugins.gtk.diff import DiffWindow
 
 
 class BzrkApp(object):

